package dev.flyfish.framework.validation.spi;

import jakarta.validation.groups.Default;

/**
 * 条件化的验证分组
 *
 * @author wangyu
 */
public interface ConditionalValidGroupProvider<T> {

    /**
     * 根据数据返回不同的验证分组
     *
     * @param data 数据
     * @return 结果
     */
    Class<?>[] provide(T data);
}
