package dev.flyfish.framework.dict.domain;

import dev.flyfish.framework.annotations.Entity;
import dev.flyfish.framework.domain.base.AuditDomain;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 自动完成数据源
 *
 * @author wangyu
 */
@Getter
@Setter
@Entity(table = "t_auto_complete", collection = "auto-completes")
public class AutoComplete extends AuditDomain {

    // 候选值列表
    private List<String> values;

    // 是否多级联动
    private Boolean cascade;

    // 描述
    private String description;

    // 分隔符
    private String delimiter;
}
